#include <bits/stdc++.h>

using namespace std;

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int a, b, x, y;
    cin >> a >> b >> x >> y;

    if(a == x && b == y)
        cout << "nijedan" << endl;
    else if(a == x)
        cout << "drugi" << endl;
    else if(b == y)
        cout << "prvi" << endl;
    else
        cout << "?" << endl;
    return 0;
}